de.esprit.netsuite.server.pathtree

## Class ServerPathTreeModelDriver

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.nio.watcher.PathTreeModelDriver<C>
      - - de.esprit.appsuite.nio.watcher.LocalPathTreeModelDriver<ServerContext>
        - - de.esprit.netsuite.server.pathtree.ServerPathTreeModelDriver

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, PathChangeEvent.Source, PathRegistrationEvent.Source, SimpleLogSupport, Dumpable, Resettable, ServerObject<ServerContext>

      public final class ServerPathTreeModelDriver
      extends LocalPathTreeModelDriver<ServerContext>
      implements ServerObject<ServerContext>

  This server side `PathTreeModelDriver` forwards all events to the client.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.nio.watcher.LocalPathTreeModelDriver

      `watcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerPathTreeModelDriver(ServerContext serverCtx, SessionId sessionId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PathInfo` | `createPathInfo(PathInfo parentPath, java.nio.file.Path path)`
    `ServerContext` | `getServerContext()` Returns the server runtime environment
    `void` | `setPermissionMaster(PathTreePermissionMaster permissionMaster)`

    - ### Methods inherited from class de.esprit.appsuite.nio.watcher.LocalPathTreeModelDriver

      `getPathFilter, getPathWatcher, isWatchServiceRunning, loadChildren, renamePath, reset, setPathFilter, setPermissionFilter, startWatchService, stopWatchService`

    - ### Methods inherited from class de.esprit.appsuite.nio.watcher.PathTreeModelDriver

      `addPathChangeListener, addPathRegistrationListener, firePathChangeEvent, firePathRegistrationEvent, removePathChangeListener, removePathRegistrationListener`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerPathTreeModelDriver

          public ServerPathTreeModelDriver(ServerContext serverCtx,
                                   SessionId sessionId)

  - ### Method Detail

    - #### getServerContext

          public final ServerContext getServerContext()

      Description copied from interface: `ServerObject`
      Returns the server runtime environment
      Specified by:
        `getServerContext` in interface `ServerObject<ServerContext>`

    - #### setPermissionMaster

          public void setPermissionMaster(PathTreePermissionMaster permissionMaster)

    - #### createPathInfo

          protected PathInfo createPathInfo(PathInfo parentPath,
                                java.nio.file.Path path)
                                     throws java.lang.Exception

      Overrides:
        `createPathInfo` in class `LocalPathTreeModelDriver<ServerContext>`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.